/**
 * @name array-of-arrays-into-ast
 * @fileoverview Turns an array of arrays of data into a nested tree of plain objects
 * @version 4.0.22
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/array-of-arrays-into-ast/}
 */

"use strict";var arrayOfArraysIntoAst=(()=>{var rt=Object.create;var B=Object.defineProperty,ot=Object.defineProperties,at=Object.getOwnPropertyDescriptor,ft=Object.getOwnPropertyDescriptors,nt=Object.getOwnPropertyNames,Z=Object.getOwnPropertySymbols,st=Object.getPrototypeOf,ee=Object.prototype.hasOwnProperty,ut=Object.prototype.propertyIsEnumerable;var Y=(e,t,r)=>t in e?B(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,h=(e,t)=>{for(var r in t||(t={}))ee.call(t,r)&&Y(e,r,t[r]);if(Z)for(var r of Z(t))ut.call(t,r)&&Y(e,r,t[r]);return e},N=(e,t)=>ot(e,ft(t));var pt=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports),it=(e,t)=>{for(var r in t)B(e,r,{get:t[r],enumerable:!0})},te=(e,t,r,o)=>{if(t&&typeof t=="object"||typeof t=="function")for(let u of nt(t))!ee.call(e,u)&&u!==r&&B(e,u,{get:()=>t[u],enumerable:!(o=at(t,u))||o.enumerable});return e};var re=(e,t,r)=>(r=e!=null?rt(st(e)):{},te(t||!e||!e.__esModule?B(r,"default",{value:e,enumerable:!0}):r,e)),lt=e=>te(B({},"__esModule",{value:!0}),e);var _=pt((wf,qe)=>{"use strict";qe.exports=po;function E(e){return e instanceof Buffer?Buffer.from(e):new e.constructor(e.buffer.slice(),e.byteOffset,e.length)}function po(e){if(e=e||{},e.circles)return io(e);let t=new Map;if(t.set(Date,a=>new Date(a)),t.set(Map,(a,l)=>new Map(o(Array.from(a),l))),t.set(Set,(a,l)=>new Set(o(Array.from(a),l))),e.constructorHandlers)for(let a of e.constructorHandlers)t.set(a[0],a[1]);let r=null;return e.proto?f:u;function o(a,l){let n=Object.keys(a),i=new Array(n.length);for(let m=0;m<n.length;m++){let p=n[m],s=a[p];typeof s!="object"||s===null?i[p]=s:s.constructor!==Object&&(r=t.get(s.constructor))?i[p]=r(s,l):ArrayBuffer.isView(s)?i[p]=E(s):i[p]=l(s)}return i}function u(a){if(typeof a!="object"||a===null)return a;if(Array.isArray(a))return o(a,u);if(a.constructor!==Object&&(r=t.get(a.constructor)))return r(a,u);let l={};for(let n in a){if(Object.hasOwnProperty.call(a,n)===!1)continue;let i=a[n];typeof i!="object"||i===null?l[n]=i:i.constructor!==Object&&(r=t.get(i.constructor))?l[n]=r(i,u):ArrayBuffer.isView(i)?l[n]=E(i):l[n]=u(i)}return l}function f(a){if(typeof a!="object"||a===null)return a;if(Array.isArray(a))return o(a,f);if(a.constructor!==Object&&(r=t.get(a.constructor)))return r(a,f);let l={};for(let n in a){let i=a[n];typeof i!="object"||i===null?l[n]=i:i.constructor!==Object&&(r=t.get(i.constructor))?l[n]=r(i,f):ArrayBuffer.isView(i)?l[n]=E(i):l[n]=f(i)}return l}}function io(e){let t=[],r=[],o=new Map;if(o.set(Date,n=>new Date(n)),o.set(Map,(n,i)=>new Map(f(Array.from(n),i))),o.set(Set,(n,i)=>new Set(f(Array.from(n),i))),e.constructorHandlers)for(let n of e.constructorHandlers)o.set(n[0],n[1]);let u=null;return e.proto?l:a;function f(n,i){let m=Object.keys(n),p=new Array(m.length);for(let s=0;s<m.length;s++){let x=m[s],d=n[x];if(typeof d!="object"||d===null)p[x]=d;else if(d.constructor!==Object&&(u=o.get(d.constructor)))p[x]=u(d,i);else if(ArrayBuffer.isView(d))p[x]=E(d);else{let I=t.indexOf(d);I!==-1?p[x]=r[I]:p[x]=i(d)}}return p}function a(n){if(typeof n!="object"||n===null)return n;if(Array.isArray(n))return f(n,a);if(n.constructor!==Object&&(u=o.get(n.constructor)))return u(n,a);let i={};t.push(n),r.push(i);for(let m in n){if(Object.hasOwnProperty.call(n,m)===!1)continue;let p=n[m];if(typeof p!="object"||p===null)i[m]=p;else if(p.constructor!==Object&&(u=o.get(p.constructor)))i[m]=u(p,a);else if(ArrayBuffer.isView(p))i[m]=E(p);else{let s=t.indexOf(p);s!==-1?i[m]=r[s]:i[m]=a(p)}}return t.pop(),r.pop(),i}function l(n){if(typeof n!="object"||n===null)return n;if(Array.isArray(n))return f(n,l);if(n.constructor!==Object&&(u=o.get(n.constructor)))return u(n,l);let i={};t.push(n),r.push(i);for(let m in n){let p=n[m];if(typeof p!="object"||p===null)i[m]=p;else if(p.constructor!==Object&&(u=o.get(p.constructor)))i[m]=u(p,l);else if(ArrayBuffer.isView(p))i[m]=E(p);else{let s=t.indexOf(p);s!==-1?i[m]=r[s]:i[m]=l(p)}}return t.pop(),r.pop(),i}}});var Ao={};it(Ao,{defaults:()=>tt,generateAst:()=>jo,version:()=>go});var ct=typeof global=="object"&&global&&global.Object===Object&&global,F=ct;var dt=typeof self=="object"&&self&&self.Object===Object&&self,mt=F||dt||Function("return this")(),R=mt;var yt=R.Symbol,T=yt;var oe=Object.prototype,xt=oe.hasOwnProperty,bt=oe.toString,M=T?T.toStringTag:void 0;function gt(e){var t=xt.call(e,M),r=e[M];try{e[M]=void 0;var o=!0}catch(f){}var u=bt.call(e);return o&&(t?e[M]=r:delete e[M]),u}var ae=gt;var ht=Object.prototype,jt=ht.toString;function At(e){return jt.call(e)}var fe=At;var kt="[object Null]",Ot="[object Undefined]",ne=T?T.toStringTag:void 0;function vt(e){return e==null?e===void 0?Ot:kt:ne&&ne in Object(e)?ae(e):fe(e)}var j=vt;function Tt(e){return e!=null&&typeof e=="object"}var A=Tt;var wt="[object Symbol]";function St(e){return typeof e=="symbol"||A(e)&&j(e)==wt}var se=St;function Et(e,t){for(var r=-1,o=e==null?0:e.length,u=Array(o);++r<o;)u[r]=t(e[r],r,e);return u}var ue=Et;var It=Array.isArray,L=It;var Bt=/\s/;function Mt(e){for(var t=e.length;t--&&Bt.test(e.charAt(t)););return t}var pe=Mt;var $t=/^\s+/;function Dt(e){return e&&e.slice(0,pe(e)+1).replace($t,"")}var ie=Dt;function Pt(e){var t=typeof e;return e!=null&&(t=="object"||t=="function")}var $=Pt;var le=NaN,Ct=/^[-+]0x[0-9a-f]+$/i,Nt=/^0b[01]+$/i,Ft=/^0o[0-7]+$/i,Rt=parseInt;function Lt(e){if(typeof e=="number")return e;if(se(e))return le;if($(e)){var t=typeof e.valueOf=="function"?e.valueOf():e;e=$(t)?t+"":t}if(typeof e!="string")return e===0?e:+e;e=ie(e);var r=Nt.test(e);return r||Ft.test(e)?Rt(e.slice(2),r?2:8):Ct.test(e)?le:+e}var ce=Lt;var de=1/0,Wt=17976931348623157e292;function Kt(e){if(!e)return e===0?e:0;if(e=ce(e),e===de||e===-de){var t=e<0?-1:1;return t*Wt}return e===e?e:0}var me=Kt;function Vt(e){var t=me(e),r=t%1;return t===t?r?t-r:t:0}var ye=Vt;var Ut="[object AsyncFunction]",Gt="[object Function]",qt="[object GeneratorFunction]",zt="[object Proxy]";function Ht(e){if(!$(e))return!1;var t=j(e);return t==Gt||t==qt||t==Ut||t==zt}var xe=Ht;function _t(e,t,r,o){for(var u=e.length,f=r+(o?1:-1);o?f--:++f<u;)if(t(e[f],f,e))return f;return-1}var be=_t;function Jt(e){return e!==e}var ge=Jt;function Qt(e,t,r){for(var o=r-1,u=e.length;++o<u;)if(e[o]===t)return o;return-1}var he=Qt;function Xt(e,t,r){return t===t?he(e,t,r):be(e,ge,r)}var je=Xt;var Zt=9007199254740991,Yt=/^(?:0|[1-9]\d*)$/;function er(e,t){var r=typeof e;return t=t==null?Zt:t,!!t&&(r=="number"||r!="symbol"&&Yt.test(e))&&e>-1&&e%1==0&&e<t}var Ae=er;var tr=9007199254740991;function rr(e){return typeof e=="number"&&e>-1&&e%1==0&&e<=tr}var W=rr;function or(e){return e!=null&&W(e.length)&&!xe(e)}var K=or;var ar=Object.prototype;function fr(e){var t=e&&e.constructor,r=typeof t=="function"&&t.prototype||ar;return e===r}var ke=fr;function nr(e,t){for(var r=-1,o=Array(e);++r<e;)o[r]=t(r);return o}var Oe=nr;var sr="[object Arguments]";function ur(e){return A(e)&&j(e)==sr}var q=ur;var ve=Object.prototype,pr=ve.hasOwnProperty,ir=ve.propertyIsEnumerable,lr=q(function(){return arguments}())?q:function(e){return A(e)&&pr.call(e,"callee")&&!ir.call(e,"callee")},Te=lr;function cr(){return!1}var we=cr;var Ie=typeof exports=="object"&&exports&&!exports.nodeType&&exports,Se=Ie&&typeof module=="object"&&module&&!module.nodeType&&module,dr=Se&&Se.exports===Ie,Ee=dr?R.Buffer:void 0,mr=Ee?Ee.isBuffer:void 0,yr=mr||we,Be=yr;var xr="[object Arguments]",br="[object Array]",gr="[object Boolean]",hr="[object Date]",jr="[object Error]",Ar="[object Function]",kr="[object Map]",Or="[object Number]",vr="[object Object]",Tr="[object RegExp]",wr="[object Set]",Sr="[object String]",Er="[object WeakMap]",Ir="[object ArrayBuffer]",Br="[object DataView]",Mr="[object Float32Array]",$r="[object Float64Array]",Dr="[object Int8Array]",Pr="[object Int16Array]",Cr="[object Int32Array]",Nr="[object Uint8Array]",Fr="[object Uint8ClampedArray]",Rr="[object Uint16Array]",Lr="[object Uint32Array]",y={};y[Mr]=y[$r]=y[Dr]=y[Pr]=y[Cr]=y[Nr]=y[Fr]=y[Rr]=y[Lr]=!0;y[xr]=y[br]=y[Ir]=y[gr]=y[Br]=y[hr]=y[jr]=y[Ar]=y[kr]=y[Or]=y[vr]=y[Tr]=y[wr]=y[Sr]=y[Er]=!1;function Wr(e){return A(e)&&W(e.length)&&!!y[j(e)]}var Me=Wr;function Kr(e){return function(t){return e(t)}}var V=Kr;var $e=typeof exports=="object"&&exports&&!exports.nodeType&&exports,D=$e&&typeof module=="object"&&module&&!module.nodeType&&module,Vr=D&&D.exports===$e,z=Vr&&F.process,Ur=function(){try{var e=D&&D.require&&D.require("util").types;return e||z&&z.binding&&z.binding("util")}catch(t){}}(),w=Ur;var De=w&&w.isTypedArray,Gr=De?V(De):Me,Pe=Gr;var qr=Object.prototype,zr=qr.hasOwnProperty;function Hr(e,t){var r=L(e),o=!r&&Te(e),u=!r&&!o&&Be(e),f=!r&&!o&&!u&&Pe(e),a=r||o||u||f,l=a?Oe(e.length,String):[],n=l.length;for(var i in e)(t||zr.call(e,i))&&!(a&&(i=="length"||u&&(i=="offset"||i=="parent")||f&&(i=="buffer"||i=="byteLength"||i=="byteOffset")||Ae(i,n)))&&l.push(i);return l}var Ce=Hr;function _r(e,t){return function(r){return e(t(r))}}var Ne=_r;var Jr=Ne(Object.keys,Object),Fe=Jr;var Qr=Object.prototype,Xr=Qr.hasOwnProperty;function Zr(e){if(!ke(e))return Fe(e);var t=[];for(var r in Object(e))Xr.call(e,r)&&r!="constructor"&&t.push(r);return t}var Re=Zr;function Yr(e){return K(e)?Ce(e):Re(e)}var Le=Yr;var eo="[object String]";function to(e){return typeof e=="string"||!L(e)&&A(e)&&j(e)==eo}var We=to;function ro(e,t){return ue(t,function(r){return e[r]})}var Ke=ro;function oo(e){return e==null?[]:Ke(e,Le(e))}var Ve=oo;var ao=Math.max;function fo(e,t,r,o){e=K(e)?e:Ve(e),r=r&&!o?ye(r):0;var u=e.length;return r<0&&(r=ao(u+r,0)),We(e)?r<=u&&e.indexOf(t,r)>-1:!!u&&je(e,t,r)>-1}var H=fo;var no="[object Date]";function so(e){return A(e)&&j(e)==no}var Ue=so;var Ge=w&&w.isDate,uo=Ge?V(Ge):Ue,S=uo;var ze=re(_(),1);var Sf=(0,ze.default)();function g(e){if(e==null||typeof e!="object")return!1;let t=Object.getPrototypeOf(e);return t!==null&&t!==Object.prototype&&Object.getPrototypeOf(t)!==null?!1:!(Symbol.iterator in e)&&!(Symbol.toStringTag in e)}function P(e){return typeof e=="string"}function He(e){return Number.isFinite(e)}function U(e){return typeof e=="boolean"}function C(e){return e!=null}function _e(e,t){return g(e)&&P(t)&&t in e}function Je(e,t){return e.localeCompare(t)}function k(e){return e==null?!1:Array.isArray(e)||typeof e=="string"?!!e.length:g(e)?!!Object.keys(e).length:typeof e=="number"}var Ze=re(_(),1);function J(e){if(typeof e!="string")throw new TypeError("Expected a string");return e.replace(/[|\\{}()[\]^$+*?.]/g,"\\$&").replace(/-/g,"\\x2d")}var Q=new Map,Qe=(e,t)=>{if(!Array.isArray(e))switch(typeof e){case"string":e=[e];break;case"undefined":e=[];break;default:throw new TypeError(`Expected '${t}' to be a string or an array, but got a type of '${typeof e}'`)}return e.filter(r=>{if(typeof r!="string"){if(typeof r>"u")return!1;throw new TypeError(`Expected '${t}' to be an array of strings, but found a type of '${typeof r}' in the array`)}return!0})},lo=(e,t)=>{t=h({caseSensitive:!1},t);let r=e+JSON.stringify(t);if(Q.has(r))return Q.get(r);let o=e[0]==="!";o&&(e=e.slice(1)),e=J(e).replace(/\\\*/g,"[\\s\\S]*");let u=new RegExp(`^${e}$`,t.caseSensitive?"":"i");return u.negated=o,Q.set(r,u),u},co=(e,t,r,o)=>{if(e=Qe(e,"inputs"),t=Qe(t,"patterns"),t.length===0)return[];t=t.map(a=>lo(a,r));let{allPatterns:u}=r||{},f=[];for(let a of e){let l,n=[...t].fill(!1);for(let[i,m]of t.entries())if(m.test(a)&&(n[i]=!0,l=!m.negated,!l))break;if(!(l===!1||l===void 0&&t.some(i=>!i.negated)||u&&n.some((i,m)=>!i&&!t[m].negated))&&(f.push(a),o))break}return f};function G(e,t,r){return co(e,t,r,!0).length>0}var mo={arrayVsArrayAllMustBeFound:"any",caseSensitive:!0};function X(e,t,r){if(!e.length||!t.length)return!1;let o=h(h({},mo),r),u=typeof e=="string"?[e]:Array.from(e);return typeof t=="string"?u.some(f=>G(f,t,{caseSensitive:o.caseSensitive})):o.arrayVsArrayAllMustBeFound==="any"?t.some(f=>u.some(a=>G(a,f,{caseSensitive:o.caseSensitive}))):t.every(f=>u.some(a=>G(a,f,{caseSensitive:o.caseSensitive})))}var c=(0,Ze.default)();var O=Array.isArray;function Xe(e){return!!e&&e.some(t=>typeof t=="string")}function yo(e,t){return Object.keys(e).length===0||Object.keys(t).length===0||Object.keys(e).every(r=>Object.keys(t).includes(r))||Object.keys(t).every(r=>Object.keys(e).includes(r))}function b(e){return e===null?"null":S(e)?"date":g(e)?"object":O(e)?"array":typeof e}var xo={cb:null,mergeObjectsOnlyWhenKeysetMatches:!0,ignoreKeys:[],hardMergeKeys:[],hardArrayConcatKeys:[],mergeArraysContainingStringsToBeEmpty:!1,oneToManyArrayObjectMerge:!1,hardMergeEverything:!1,hardArrayConcat:!1,ignoreEverything:!1,concatInsteadOfMerging:!0,dedupeStringsInArrayValues:!1,mergeBoolsUsingOrNotAnd:!0,useNullAsExplicitFalse:!1};function v(e,t,r,o){var m;let u;if(o.useNullAsExplicitFalse&&(t===null||r===null))return typeof o.cb=="function"?o.cb(t,r,null,{path:e.path,key:e.key,type:e.type}):null;let f=O(t)||g(t)?c(t):t,a=O(r)||g(r)?c(r):r,l;o.ignoreEverything?l=f:o.hardMergeEverything&&(l=a);let n=o.hardMergeEverything||o.ignoreEverything;if(O(f))if(k(f))if(O(a)&&k(a)){if(o.mergeArraysContainingStringsToBeEmpty&&(Xe(f)||Xe(a))){let s=n?l:[];return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:u,key:e.key,type:e.type}):s}if(o.hardArrayConcat){let s=n?l:f.concat(a);return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:u,key:e.key,type:e.type}):s}let p=[];for(let s=0,x=Math.max(f.length,a.length);s<x;s++)u=(m=e.path)!=null&&m.length?`${e.path}.${s}`:`${s}`,g(f[s])&&g(a[s])&&(o.mergeObjectsOnlyWhenKeysetMatches&&yo(f[s],a[s])||!o.mergeObjectsOnlyWhenKeysetMatches)?p.push(v({path:u,key:e.key,type:[b(f),b(a)]},f[s],a[s],o)):o.oneToManyArrayObjectMerge&&(f.length===1||a.length===1)?p.push(f.length===1?v({path:u,key:e.key,type:[b(f),b(a)]},f[0],a[s],o):v({path:u,key:e.key,type:[b(f),b(a)]},f[s],a[0],o)):o.concatInsteadOfMerging?(s<f.length&&p.push(f[s]),s<a.length&&p.push(a[s])):(s<f.length&&p.push(f[s]),s<a.length&&!H(f,a[s])&&p.push(a[s]));o.dedupeStringsInArrayValues&&p.every(s=>P(s))&&(p=[...new Set(p)].sort(Je)),f=c(p)}else{let p=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:u,key:e.key,type:e.type}):p}else{if(k(a)){let s=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:u,key:e.key,type:e.type}):s}let p=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:u,key:e.key,type:e.type}):p}else if(g(f)){if(k(f)){if(O(a)){if(k(a)){let d=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),d,{path:u,key:e.key,type:e.type}):d}let x=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),x,{path:u,key:e.key,type:e.type}):x}if(g(a)){Object.keys(a).forEach(d=>{var I;u=(I=e.path)!=null&&I.length?`${e.path}.${d}`:`${d}`,_e(f,d)?X(d,o.ignoreKeys)?f[d]=v({path:u,key:d,type:[b(f),b(a)]},f[d],a[d],N(h({},o),{ignoreEverything:!0})):X(d,o.hardMergeKeys)?f[d]=v({path:u,key:d,type:[b(f),b(a)]},f[d],a[d],N(h({},o),{hardMergeEverything:!0})):X(d,o.hardArrayConcatKeys)?f[d]=v({path:u,key:d,type:[b(f),b(a)]},f[d],a[d],N(h({},o),{hardArrayConcat:!0})):f[d]=v({path:u,key:d,type:[b(f[d]),b(a[d])]},f[d],a[d],o):f[d]=a[d]});let x=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),x,{path:e.path,key:e.key,type:e.type}):f}let s=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}if(O(a)||g(a)||k(a)){let s=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}let p=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:e.path,key:e.key,type:e.type}):p}else if(S(f)){if(Number.isFinite(+f)){if(S(a)){if(Number.isFinite(+a)){let d=n?l:f>a?f:a;return typeof o.cb=="function"?o.cb(c(t),c(r),d,{path:e.path,key:e.key,type:e.type}):d}let x=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),x,{path:e.path,key:e.key,type:e.type}):x}let s=n?l:a||f;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}if(S(a)){let s=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}let p=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:e.path,key:e.key,type:e.type}):p}else if(P(f)){if(k(f)){if((O(a)||g(a)||P(a))&&k(a)){let x=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),x,{path:e.path,key:e.key,type:e.type}):x}let s=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}if(C(a)&&!U(a)){let s=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}let p=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:e.path,key:e.key,type:e.type}):p}else if(He(f)){if(k(a)){let s=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}let p=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:e.path,key:e.key,type:e.type}):p}else if(U(f)){if(U(a)){if(o.mergeBoolsUsingOrNotAnd){let x=n?l:f||a;return typeof o.cb=="function"?o.cb(c(t),c(r),x,{path:e.path,key:e.key,type:e.type}):x}let s=n?l:f&&a;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}if(C(a)){let s=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}let p=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:e.path,key:e.key,type:e.type}):p}else if(f===null){if(C(a)){let s=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),s,{path:e.path,key:e.key,type:e.type}):s}let p=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:e.path,key:e.key,type:e.type}):p}else{let p=n?l:a;return typeof o.cb=="function"?o.cb(c(t),c(r),p,{path:e.path,key:e.key,type:e.type}):p}let i=n?l:f;return typeof o.cb=="function"?o.cb(c(t),c(r),i,{path:e.path,key:e.key,type:e.type}):i}function Ye(e,t,r){var u,f;if(!arguments.length)throw new TypeError("object-merge-advanced/mergeAdvanced(): [THROW_ID_01] Both inputs are missing");if(C(r)&&!g(r))throw new TypeError(`object-merge-advanced/mergeAdvanced(): [THROW_ID_02] The optional options object should be a plain object, currently it's ${JSON.stringify(r,null,4)} (type ${typeof r})`);let o=h(h({},xo),r);return typeof o.ignoreKeys=="string"&&(o.ignoreKeys=[o.ignoreKeys]),typeof o.hardMergeKeys=="string"&&(o.hardMergeKeys=[o.hardMergeKeys]),(u=o==null?void 0:o.hardMergeKeys)!=null&&u.includes("*")&&(o.hardMergeEverything=!0),(f=o==null?void 0:o.ignoreKeys)!=null&&f.includes("*")&&(o.ignoreEverything=!0),v({key:null,path:"",type:[b(e),b(t)]},e,t,o)}var et="4.0.22";var go=et,tt={dedupe:!0};function ho(e){return Object.keys(e).sort().reduce((t,r)=>(t[r]=e[r],t),{})}function jo(e,t){if(Array.isArray(e)){if(e.length===0)return{}}else throw new Error(`array-of-arrays-into-ast: [THROW_ID_01] inputArr must be array. Currently it's of a type ${typeof e} equal to:
${JSON.stringify(e,null,4)}`);let r=h(h({},tt),t),o={};return e.forEach(u=>{let f=null;for(let a=u.length;a--;)f={[u[a]]:[f]};o=Ye(o,f,{concatInsteadOfMerging:!r.dedupe})}),ho(o)}return lt(Ao);})();
/**
 * @name codsen-utils
 * @fileoverview Various utility functions
 * @version 1.6.7
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/codsen-utils/}
 */
/**
 * @name util-nonempty
 * @fileoverview Is the input (plain object, array, string or whatever) not empty?
 * @version 5.0.18
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/util-nonempty/}
 */
/**
 * @name object-merge-advanced
 * @fileoverview Deeply merge JSON-like data structures
 * @version 14.0.21
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/object-merge-advanced/}
 */
/*! Bundled license information:

lodash-es/lodash.js:
  (**
   * @license
   * Lodash (Custom Build) <https://lodash.com/>
   * Build: `lodash modularize exports="es" -o ./`
   * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   *)
*/
